## zsnes 1.510%2Bbz2

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for zsnes
# 2001-2005 Aaron Lehmann <aaronl@vitelus.com>
# 2006 Joshua Kwan <joshk@triplehelix.org>
# 2007 Josh Triplett <josh@freedesktop.org>
# 2010 Michael Leuchtenburg <michael@slashhome.org>
# 2010 Etienne Millon <etienne.millon@gmail.com>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

CFLAGS   += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -lpthread

%:
	dh $@ --sourcedirectory=src --with autoreconf

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=src -- \
		--enable-opengl \
		--disable-cpucheck --enable-release \
		force_arch=i486

override_dh_clean:
	rm -f src/Makefile src/cfg.h src/config.h src/config.log src/config.status src/input.h src/makefile.dep src/md.h src/parsegen src/tools/depbuild src/zsnes
	find src/ -type f -name '*.o' -delete
	dh_clean

override_dh_install:
	dh_install
	for res in 16 32 48 64; do \
		mkdir -p debian/zsnes/usr/share/icons/hicolor/$${res}x$${res}/apps; \
		cp -f src/icons/$${res}x$${res}x32.png \
			debian/zsnes/usr/share/icons/hicolor/$${res}x$${res}/apps/zsnes.png; \
	done

override_dh_installchangelogs:
	dh_installchangelogs docs/readme.txt/history.txt

override_dh_installexamples:
	mkdir -p debian/zsnes/usr/share/doc/zsnes/examples/source
	uudecode -o debian/zsnes/usr/share/doc/zsnes/examples/debian.smc.gz \
		debian/examples/debian.smc.gz.uu
	uudecode -o debian/zsnes/usr/share/doc/zsnes/examples/source/deb.set \
		debian/examples/source/deb.set.uu
	uudecode -o debian/zsnes/usr/share/doc/zsnes/examples/source/deb.map \
		debian/examples/source/deb.map.uu
	uudecode -o debian/zsnes/usr/share/doc/zsnes/examples/source/col.map \
		debian/examples/source/deb.col.uu
	cp -f debian/examples/source/debian.asm \
		debian/zsnes/usr/share/doc/zsnes/examples/source/
	cp -f debian/examples/README \
		debian/zsnes/usr/share/doc/zsnes/examples/

override_dh_installdocs:
	dh_installdocs
	# Install HTML documentation
	install -d debian/zsnes/usr/share/doc/zsnes
	cp -a docs/readme.htm debian/zsnes/usr/share/doc/zsnes/html
	rm debian/zsnes/usr/share/doc/zsnes/html/license.htm

override_dh_compress:
	dh_compress -Xdeb.set

override_dh_strip:
	dh_strip --dbgsym-migration='zsnes-dbg (<< 1.510+bz2-9~)'
