=== debian/control ===
Source: zsnes
Section: otherosfs
Priority: optional
Homepage: http://www.zsnes.com
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Etienne Millon <etienne.millon@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.13.2),
               libgl1-mesa-dev | libgl-dev,
               libncurses5-dev | libncurses-dev,
               libpng-dev,
               libsdl1.2-dev (>= 1.2.2-3.1),
               nasm,
               sharutils,
               zlib1g-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-games/zsnes.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/zsnes.git

Package: zsnes
Architecture: any-i386
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Emulator of the Super Nintendo Entertainment System
 ZSNES allows you to play classic games written for the Super Nintendo (SNES)
 game console on a GNU/Linux system.
 .
 Please note that many separately-available games playable under this
 emulator are non-free. See /usr/share/doc/zsnes/README.Debian for more
 information.
