=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 #export DH_OPTIONS=-v
-
-DPKG_EXPORT_BUILDFLAGS=1
-include /usr/share/dpkg/buildflags.mk
 
 CFLAGS   += $(CPPFLAGS)
 CXXFLAGS += $(CPPFLAGS)
@@ -66,6 +63,3 @@
 
 override_dh_compress:
 	dh_compress -Xdeb.set
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='zsnes-dbg (<< 1.510+bz2-9~)'
